---
sidebar_position: 1
description: Publish folder and other functions to work with Dropbox in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Dropbox]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Publish folder
 Sets the directory to public access mode



`Function PublishFolder(Val Token, Val Path) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Token |
  | Path | --path | String | &#x2714; | Path to the target directory |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Dropbox



```bsl title="1C:Enterprise/OneScript code example"
    Token = "sl.u. ...";
    Path  = "/New";

    Result = OPI_Dropbox.PublishFolder(Token, Path);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint dropbox PublishFolder \
             --token "***" \
             --path "/New"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint dropbox PublishFolder ^
             --token "***" ^
             --path "/New"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 ".tag": "complete",
 "access_type": {
  ".tag": "owner"
 },
 "is_inside_team_folder": false,
 "is_team_folder": false,
 "path_display": "/New",
 "path_lower": "/new",
 "name": "New",
 "policy": {
  "acl_update_policy": {
   ".tag": "editors"
  },
  "shared_link_policy": {
   ".tag": "anyone"
  },
  "viewer_info_policy": {
   ".tag": "enabled"
  }
 },
 "preview_url": "https://www.dropbox.com/scl/fo/tx7ocm25hz5vcb8oek9tn/h?dl=0",
 "shared_folder_id": "13365035571",
 "time_invited": "***",
 "access_inheritance": {
  ".tag": "inherit"
 },
 "folder_id": "id:kJU6-a-pT48AAAAAAABiwA"
}
```
